import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function contractTemplateList(data) {
  return request({
    url: `/contract/template/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function contractTemplateListExport(data, name) {
  return postBlob({
    url: '/contract/template/list/export',
    data,
    name
  })
}

export function contractTemplateAdd(data) {
  return request({
    url: '/contract/template/add',
    method: 'post',
    data: data
  })
}

export function contractTemplateUpdate(data) {
  return request({
    url: '/contract/template/update',
    method: 'post',
    data: data
  })
}

export function contractTemplateDetail(params) {
  return request({
    url: '/contract/template/detail',
    method: 'post',
    params: params
  })
}

export function contractTemplateQueryRelaWebsit(params) {
  return request({
    url: '/contract/template/query/rela/websit',
    method: 'post',
    params: params
  })
}

export function contractTemplateDel(params) {
  return request({
    url: '/contract/template/del',
    method: 'post',
    params: params
  })
}

export function contractTemplateStatus(params) {
  return request({
    url: '/contract/template/status',
    method: 'post',
    params: params
  })
}
